BarValueGroup.BarValue (jCharts-0.7.5 API)
Keywords: org.jCharts.chartText.BarValueGroup.BarValue,BarValueGroup.BarValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartText
Class BarValueGroup.BarValue

    java.lang.Object
      |
      +--org.jCharts.chartText.TextTag
            |
            +--org.jCharts.chartText.BarValueGroup.BarValue

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

Enclosing class:
  BarValueGroup

protected class BarValueGroup.BarValue
extends TextTag

Helper class to handle a barValue - wraps TextTag Meant to be called only by BarValueGroup class.

See Also:
  Serialized Form

Field Summary
`private java.awt.geom.Rectangle2D.Float` | `barRect`
`private boolean` | `isNegative`
`private int` | `startPosition`
`private java.lang.String` | `text`

Fields inherited from class org.jCharts.chartText.TextTag
``

Constructor Summary
`BarValueGroup.BarValue(java.lang.String text, java.awt.Font font, java.awt.font.FontRenderContext fontRenderContext, java.awt.geom.Rectangle2D.Float barRect, int startPosition, boolean isNegative)`

Method Summary
`java.awt.geom.Rectangle2D.Float` | `getBarRect()`
`boolean` | `getIsNegative()`
`int` | `getStartPosition()`
`java.lang.String` | `getText()`

Methods inherited from class org.jCharts.chartText.TextTag
`addAttribute, getAttribute, getBottomSide, getFontAscent, getFontDescent, getHeight, getHidden, getRectangle, getRightSide, getWidth, getXPosition, getYPosition, render, render, setHidden, setPosition, setXPosition, setYPosition, toHTML, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### barRect

    private java.awt.geom.Rectangle2D.Float barRect

### startPosition

    private int startPosition

### isNegative

    private boolean isNegative

### text

    private java.lang.String text

Constructor Detail

### BarValueGroup.BarValue

    public BarValueGroup.BarValue(java.lang.String text,
                                  java.awt.Font font,
                                  java.awt.font.FontRenderContext fontRenderContext,
                                  java.awt.geom.Rectangle2D.Float barRect,
                                  int startPosition,
                                  boolean isNegative)

Method Detail

### getBarRect

    public java.awt.geom.Rectangle2D.Float getBarRect()

### getStartPosition

    public int getStartPosition()

### getIsNegative

    public boolean getIsNegative()

### getText

    public java.lang.String getText()

  Overrides:
    `getText` in class `TextTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD